# BEGIN SourceDeps(oneline):
BuildRequires: perl(Test/Simple.pm) perl(XML/SAX.pm) perl(XML/SAX/Writer.pm)
# END SourceDeps(oneline)
%define module_version 1.01
%define module_name XML-Filter-Sort
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: SAX filter for sorting elements in XML
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GR/GRANTM/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module is a SAX filter for sorting 'records' in XML documents (including
documents larger than available memory).  The `xmlsort' utility which is
included with this distribution can be used to sort an XML file from the
command line without writing Perl code (see `perldoc xmlsort').

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/X*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

